#!/bin/sh

# 创建目录
mkdir -p /data/adb/ynmknh

# 清空文件
> /data/adb/ynmknh/config.sh

echo "========================================"
echo "         请输入你的卡密"
echo "========================================"
echo -n "请输入卡密: "
read LICENSE_KEY

# 写入卡密
echo "licenseKey=$LICENSE_KEY" > /data/adb/ynmknh/config.sh


chmod 777 /data/adb/ynmknh/config.sh

echo ""
echo "✅ 生成完成：/data/adb/ynmknh/config.sh"
echo "✅ 卡密已写入：licenseKey=$LICENSE_KEY"
echo ""
